Summary: Free versions of the 35 standard PostScript fonts.
Name: urw-fonts

%global momorel 6

Version: 8.11
Release: %{momorel}m%{?dist}
Group: User Interface/X
License: GPL
URL: ftp://ftp.cs.wisc.edu/ghost/gnu/fonts/

Source0: ftp://mirror.cs.wisc.edu/pub/mirrors/ghost/fonts/ghostscript-fonts-std-%{version}.tar.gz 
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArchitectures: noarch
BuildPreReq: xorg-x11-font-utils

PreReq: chkfontpath-momonga

%description 
Free, good quality versions of the 35 standard PostScript(TM) fonts,
donated under the GPL by URW++ Design and Development GmbH.  The
fonts.dir file font names match the original Adobe names of the fonts
(e.g., Times, Helvetica, etc.).

Install the urw-fonts package if you need free versions of standard
PostScript fonts.

%global fontsdir	%{_datadir}/fonts

%prep
%setup -q -c

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

cd fonts
%__mkdir_p %{buildroot}%{fontsdir}/type1/urw
%__cp -f *.afm *.pfm *.pfb %{buildroot}%{fontsdir}/type1/urw
%__install -m 644 fonts.scale %{buildroot}%{fontsdir}/type1/urw/fonts.scale
{
  pushd %{buildroot}%{fontsdir}/type1/urw
  mkfontdir .
  popd
}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
/usr/sbin/chkfontpath -q -a %{fontsdir}/type1/urw

%postun
if [ "$1" = "0" ]; then
  /usr/sbin/chkfontpath -q -r %{fontsdir}/type1/urw
fi

%files
%defattr(644,root,root,755)
%doc fonts/COPYING fonts/ChangeLog fonts/README fonts/README.tweaks fonts/TODO
%dir %{fontsdir}/type1/urw
%config(noreplace) %{fontsdir}/type1/urw/fonts.dir
%config(noreplace) %{fontsdir}/type1/urw/fonts.scale
%{fontsdir}/type1/urw/*.afm
%{fontsdir}/type1/urw/*.pfm
%{fontsdir}/type1/urw/*.pfb

%changelog
* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (8.11-6m)
- rebuild against gcc43

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (8.11-5m)
- %%NoSource -> NoSource

* Sun Mar 26 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (8.11-4m)
- XFree86 -> xorg-x11

* Sun Mar 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (8.11-3m)
- change docdir %%defattr

* Tue Oct 28 2003 zunda <zunda at freeshell.org>
- (8.11-2m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- documets added

* Thu Aug 21 2003 Kenta MURATA <muraken2@nifty.com>
- (8.11-1m)
- version up to ghostscript-fonts-std-8.11.
- change directory to install.

* Sat May 18 2002 Toru Hoshina <t@kondara.org>
- (2.0-12k)
- mkfontdir tukattendaro korua.

* Mon Aug 07 2000 Toru Hoshina <t@kondara.org> 
- Kodaraized. 

* Fri Jul 14 2000 Preston Brown <pbrown@redhat.com>
- renamed fonts from URW names to Adobe names for better compatibility

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jul 09 2000 Than Ngo <than@redhat.de>
- update gnu-gs-fonts-std-6.0
- fix Url

* Sat May 27 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0

* Wed Mar 08 2000 Preston Brown <pbrown@redhat.com> 
- argh! fonts.scale shouldn't have been symlinked to fonts.dir.  fixed.

* Mon Feb 28 2000 Preston Brown <pbrown@redhat.com>
- noreplace the fonts.dir config file

* Wed Feb 16 2000 Bill Nottingham <notting@redhat.com>
- need .pfb files too

* Mon Feb 14 2000 Preston Brown <pbrown@redhat.com>
- new URW++ fonts that include extra glyphs.

* Thu Jan 13 2000 Preston Brown <pbrown@redhat.com>
- remove vendor tag.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed up chkfontpath stuff

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 15 1999 Preston Brown <pbrown@redhat.com>
- added missing fonts.dir, fonts.scale, %post, %postun using chkfontpath
- changed foundary from Adobe (which was a lie) to URW.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fonts now live in /usr/share/fonts/default/Type1

* Fri Nov 13 1998 Preston Brown <pbrown@redhat.com>
- eliminated section that adds to XF86Config
- changed fonts to reside in /usr/share/fonts/default/URW, so they can be
  shared between X and Ghostscript (and other, future programs/applications)

* Fri Sep 11 1998 Preston Brown <pbrown@redhat.com>
- integrate adding fontdir to XF86Config

* Wed Aug 12 1998 Jeff Johnson <jbj@redhat.com>
- eliminate %post output

* Wed Jul  8 1998 Jeff Johnson <jbj@redhat.com>
- create from Stefan Waldherr <swa@cs.cmu.edu> contrib package.
